version: "3.9"

services:

  c1:
    build:
      dockerfile: ./c1.Dockerfile
    ports:
      - "80:80"
      - "77:22"
    volumes:
      - ./centos:/var/www/repo/centos
    healthcheck:
      test: curl --fail http://c1/centos/repodata/repomd.xml || exit 1
      interval: 10s
      timeout: 5s
      retries: 20
    restart: always


  c2:
    build:
      dockerfile: ./c2.Dockerfile
    depends_on:
      c1:
        condition: service_healthy
    restart: always
